/* タバタ・タイマー/2 インストーラー */
Call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

Parse Source INSTALL
INSTALL = DELWORD( INSTALL, 1, 2 )
APP_PATH = FILESPEC( "Drive", INSTALL )
APP_PATH = APP_PATH || FILESPEC( "Path", INSTALL )
APP_EXE = APP_PATH || "T_TIMER2.exe"

Location = "<WP_DESKTOP>"
Title = "タバタ･タイマー/2"
Class = "WPProgram"
objmode = "REPLACE"
SetupString = "NOPRINT=YES;"
SetupString =  SetupString || "PROGTYPE=PM;"
SetupString =  SetupString || "EXENAME=" || APP_EXE || ";"
SetupString =  SetupString || "ICONFILE=" || APP_PATH || "T_TIMER2.ICO;"
rc=SysCreateObject(Class,Title,Location,SetupString,objmode)

If rc 
   Then Say "デスクトップに " || Title || " が登録されました"
   Else  Say "登録に失敗しました"

say '終了しました。Enterを押してください。'
pull .
exit